QGIS Application - Feature request #12958
Add Radio buttons or "option row" to the list of available widgets for forms
2015-06-13 03:00 PM - Stefan Blumentrath

Status: Open

Priority: Normal

Assignee:

Category: Edit widget

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21037
Description

The ability to use radio buttons or an "option row" (like in IntraMaps.Roam) for relatively short lists in forms could save the user a click
(plus scrolling) and is probably the most efficient means of entering such data. Would be nice to have it in QGIS (without the need to use
QtDesigner).

History

#1 - 2015-06-14 12:38 AM - Giovanni Manghi
- Category changed from Forms to Edit widget

#2 - 2015-06-14 01:10 PM - Matthias Kuhn

- Status changed from Open to Feedback

Should that be a configuration option for ValueMap (and ValueRelation)?

#3 - 2015-06-14 01:31 PM - Stefan Blumentrath
Yes, that is exactly what | had in mind. In cases where one has not too many options for values for an attribute (let's say 3 to 7, maybe 9 alternatives, e.g.

'good’, 'normal’, 'bad'), such attributes could be entered at one click... It would not make much sense for long lists of course...
| just saw that "Value Relation" already has something in this direction, when "Allow multiple selections" is activated...

#4 - 2016-06-14 10:25 PM - Jiirgen Fischer
- Status changed from Feedback to Open

#5 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

2024-03-20 1/1




